import { _decorator, Component, Node } from 'cc';
import { UIMgr } from '../Frames/UIManager';
import { resMgr } from '../Frames/ResourcesMgr';
import { dataMgr } from '../Frames/DataManager';
import { UIType } from './GameFrameWork/UIBase';
const { ccclass, property } = _decorator;

@ccclass('MyApp')
export class MyApp extends Component {
    protected async  onLoad(){
        await resMgr.loadAllRes("Res");
        await resMgr.loadAllRes("UI");
        await dataMgr.loadDataDir("Data");
        UIMgr.openUI("Start",UIType.PAGE);
    }
}


